Draft Mirror.png Draft Mirror

Menu location
Draft → Mirror
Workbenches
Draft, Arch
Default shortcut
None
See also
Draft Scale


Description

This tool produces a mirrored copy of a selected object, using a Part Mirror object. The copy is parametrically bound to the original object: If the original object changes, the mirrored copy changes too, but keeps mirrored.

Draft Mirror example.jpg

How to use

  1. Select objects you wish to mirror
  2. Press the Draft Mirror.png Draft Mirror button
  3. Click the first point of the mirror line on the 3D view, or type a coordinate
  4. Click the other point of the mirror line on the 3D view, or type a coordinate

Properties

  • DATABase: The base point of the mirror plane
  • DATANormal: The normal direction of the mirror plane

Options

Scripting

The Clone tool can by used in macros and from the python console by using the following function:

mirror (objectslist,p1,p2) 
  • Makes mirror(s) of the given object(s) across a plane defined by a line from p1 to p2, and parallel to the current view
  • The result is a Part Mirror object
  • If the original object changes, the final object changes too but keeps mirrored

Example:

import Draft,FeeCAD
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2,2,0)
Draft.mirror(FreeCAD.ActiveDocument.ActiveObject,p1,p2) 
Other languages:
English • ‎français • ‎italiano • ‎русский